# Method: devices.requestSync

- [HTTP request](https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync#body.HTTP_TEMPLATE)
- [Request body](https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync#body.request_body)
  - [JSON representation](https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync#body.response_body)
- [Authorization Scopes](https://developers.home.google.com/reference/home-graph/rest/v1/devices/requestSync#body.aspect)

Requests Google to send an `action.devices.SYNC` [intent](https://developers.home.google.com/cloud-to-cloud/intents/sync) to your smart home Action to update device metadata for the given user.

The third-party user's identity is passed via the `agentUserId` (see `RequestSyncDevicesRequest`). This request must be authorized using service account credentials from your Actions console project.

### HTTP request

`POST https://homegraph.googleapis.com/v1/devices:requestSync`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "agentUserId": string, "async": boolean } ``` |

| Fields ||
|---|---|
| `agentUserId` | `string` Required. Third-party user ID. |
| `async` | `boolean` Optional. If set, the request will be added to a queue and a response will be returned immediately. This enables concurrent requests for the given `agentUserId`, but the caller will not receive any error responses. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/homegraph`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).